Page MenuHomePhabricator

Visual diff shows different result for comparable change (inserting one word)
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/w/index.php?title=Star-Spangled_Banner_(flag)&curid=7246021&diff=826054878&oldid=812171510&diffmode=visual the word 'the' is inserted in two paragraphs, but in the second it is show as <del>at</del><ins>at the</ins>, whereas in the first it is just <ins>the</ins>.

Update: This is a smaller (minimal?) test case:

foo quux at bar
->
foo, quux at the bar

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2018, 11:00 PM

Actually in the second paragraph, there is a comma inserted as well.

Esanders triaged this task as Low priority.Feb 16 2018, 11:01 PM
marcella moved this task from Bug Fixes to Freezer on the VisualEditor board.Dec 13 2018, 4:51 PM
Esanders updated the task description. (Show Details)Sep 3 2020, 9:40 PM

Change 624720 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Update diff-match-patch and implement indexOf/lastIndexOf

https://gerrit.wikimedia.org/r/624720

Change 624720 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Update diff-match-patch and implement indexOf/lastIndexOf

https://gerrit.wikimedia.org/r/624720

Change 625769 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a2dbc868a)

https://gerrit.wikimedia.org/r/625769

Change 625769 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a2dbc868a)

https://gerrit.wikimedia.org/r/625769

ppelberg closed this task as Resolved.Sep 21 2020, 1:13 AM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 21 2020, 1:13 AM